Recommendations Details
Recommendations details for workloads and node pools.
Returns Azure VM Recommendation details for the given Recommendation identifier.
Account Identifier for the Entity.
Azure VM Recommendation identifier.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns the Azure VM Recommendation for the given identifier.
GET /gateway/ccm/api/recommendation/details/azure-vm?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Returns EC2 or AWS Passthrough V2 Recommendation details for the given Recommendation identifier.
Account Identifier for the Entity.
EC2 Recommendation identifier.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns the EC2 Recommendation for the given identifier.
GET /gateway/ccm/api/recommendation/details/ec2-instance?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Returns ECS Recommendation details for the given Recommendation identifier.
Account Identifier for the Entity.
ECS Recommendation identifier.
Should use org.joda.time.DateTime parsable format. Example, '2022-01-31', '2022-01-31T07:54Z' or '2022-01-31T07:54:51.264Z' Defaults to Today-7days
Should use org.joda.time.DateTime parsable format. Example, '2022-01-31', '2022-01-31T07:54Z' or '2022-01-31T07:54:51.264Z' Defaults to Today
Buffer Percentage defaults to zero
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns the ECS Recommendation for the given identifier.
GET /gateway/ccm/api/recommendation/details/ecs-service?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Returns node pool Recommendation details for the given identifier.
Account Identifier for the Entity.
Node pool Recommendation identifier
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns node pool Recommendation details for the given identifier.
GET /gateway/ccm/api/recommendation/details/node-pool?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Returns workload Recommendation details for the given Recommendation identifier.
Account Identifier for the Entity.
Workload Recommendation identifier.
Should use org.joda.time.DateTime parsable format. Example, '2022-01-31', '2022-01-31T07:54Z' or '2022-01-31T07:54:51.264Z' Defaults to Today-7days
Should use org.joda.time.DateTime parsable format. Example, '2022-01-31', '2022-01-31T07:54Z' or '2022-01-31T07:54:51.264Z' Defaults to Today
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns the workload Recommendation for the given identifier.
GET /gateway/ccm/api/recommendation/details/workload?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?